Subject: RE: bug#1056: Filesets menu location

From: "Drew Adams" <[email-masked]>
Date: Tue, 30 Sep 2008 07:15:50 -0700

> > Although the Filesets menu is nice to have (although I 
> found it a bit
> > of a bear to set up), I find its position between the 
> application and
> > file menus to be continually jarring. Apple's Human Interface Design
> > Guidelines 
> (<http://developer.apple.com/documentation/UserExperience/Conc
> eptual/AppleHIGuidelines/XHIGMenus/chapter_17_section_4.html#/ 
> > /apple_ref/doc/uid/TP30000356-TPXREF103
> >> ) require that the first four menus, left to right, shall be Apple,
> > Application, File, Edit -- unless one or both of File and 
> Edit is not
> > relevant, and so omitted. I cannot think of an application that
> > violates this order. Except Aquamacs, with the consequence that my
> > muscle memory moves the pointer to the wrong place when I want the
> > File or Edit menu.
> >
> > So, may I request that an option is provided to make Filesets a
> > submenu of the File menu?
> >
> > Thanks!
> >
> > In GNU Emacs 22.3.2 (powerpc-apple-darwin9.5.0, Carbon 
> Version 1.6.0)
> >  of 2008-09-22 on lucy - Aquamacs Distribution 1.5
> > Windowing system distributor `Apple Inc.', version 10.5.5
> > configured using `configure  '--without-x' '--prefix=/usr/local''

See bug #976 and my mail in that thread of 2008-09-18, where I mention the same
thing:

> 2. In the defcustom for `filesets-menu-path', '("files") 
> should be '("file").
> The GNU Emacs version uses nil as the default, which makes 
> `Filesets' a separate
> menu-bar menu, but I think it makes more sense to do as you 
> have done: make it a submenu of the `File' menu.

In addition, the default value of `filesets-menu-before' should be "Open
File..."

See this supplemental library that fixes some of this stuff. Turn it into a diff
if you prefer:
http://www.emacswiki.org/cgi-bin/wiki/filesets%2b.el

HTH.